1
I Use This!
Very High Activity

Commits : Listings

Analyzed about 24 hours ago. based on code collected 2 days ago.
Nov 06, 2025 — Nov 06, 2026
Commit Message Contributor Files Modified Lines Added Lines Removed Code Location Date
Merge branch 'smartcard_2' of https://github.com/pgpainless/bc-java into pgpainless-smartcard_2 More... 3 months ago
Reject a field-zero divisor or multiplier in ShamirSplitSecret.divide and multiple, since the GF(256) reduction makes any multiple of 256 the field's zero element and would overwrite every share, in the base and jdk1.4 copies, and cover it with a regression test. More... 3 months ago
Name KEM algorithm OIDs in DefaultAlgorithmNameFinder, which previously covered no KEM at all: ML-KEM, and FrodoKEM and Classic McEliece on the ISO/IEC 18033-2 arc the BC provider registers them under, plus the round-3 Classic McEliece arc BCPQC still registers, each named as the matching lightweight parameter class spells it. More... 3 months ago
Add createBlindedExponent to the jdk1.1 BigIntegers overlay so the legacy build's blinded-exponent call sites compile, and use BigIntegers.ONE in the SRP6 blinding helpers. More... 3 months ago
Correct the jdk1.4 build-sign-test recipe in the claude docs: test cannot run against signed jars because its build-test dependency always re-jars bctest, so document test-signed and the hqc signer-info failure it avoids, and add StandardCharsets to the post-1.4 API list. More... 3 months ago
Restore the jdk1.4 build: narrow the ShamirSplitSecret getSecretShares results explicitly since the overlay cannot use a covariant return, replace StandardCharsets and an enhanced-for in the OpenPGP external-secret-key tests, exclude BcExternalPublicKeyDataDecryptorFactory alongside the openpgp.api package it depends on, and add a test-signed target that runs the suites without re-jarring the signed bctest. More... 3 months ago
Register ConstantTimeUsageTest in the jdk1.4 crypto RegressionTest overlay so the legacy Ant distributions also gate the constant-time call sites, noting why ECCSISignerTest cannot join it there. More... 3 months ago
Clear the two words of accumulator headroom before returning from the BigIntegers.montgomeryMultiply reduction, so the returned array cannot encode a different value when read at its full width than at the modulus width its callers use, in the base, jdk1.4 and jdk1.1 copies. More... 3 months ago
Reduce the SAKKE identifier into the order arithmetic and reject a master secret outside [1, q-1], draw a fresh ECCSI nonce for each signature and fall back to the default SecureRandom when none is supplied, run the SAKKE key constructors' [z]P through ECAlgorithms.multiplySecret, cache the modulus-only Montgomery constants in BigIntegers.modMult, and mirror modAdd/modMult into the jdk1.1 BigIntegers overlay. More... 3 months ago
Merge branch 'main' of gitlab.cryptoworkshop.com:root/bc-java More... 3 months ago
Form the secret-bearing order arithmetic in ECCSI signing, SM9 user-key derivation and SAKKE decapsulation with the new constant-time BigIntegers.modAdd and modMult, enforce the RFC 6507 nonce and SSK ranges this requires, and add ConstantTimeUsageTest as a class-file gate on those call sites. More... 3 months ago
Cite the ISO/IEC 18033-2:2006/Amd 2:2026 clause numbers in the ISO Classic McEliece implementation in place of the NIST submission section numbers the code was originally written against. More... 3 months ago
Check every index pair when testing the Classic McEliece fixed-weight candidate set for repetition, accumulating the result through the same branchless equality mask the generator already uses to write the error vector. More... 3 months ago
Invert the secret-bearing values in ECCSI signing, SM9 user-key extraction and SAKKE decapsulation with the constant-time BigIntegers.modOddInverse, and register ECCSISignerTest in RegressionTest. More... 3 months ago
Route RSA-KEM decapsulation through RSABlindedEngine in the lightweight extractor and the RSA-KTS-KEM-KWS Cipher SPI, and add an RSAKEMExtractor constructor taking the SecureRandom the blinding draws from. More... 3 months ago
Blind the private exponent before the modular exponentiation in the prime-field asymmetric primitives, and add BigIntegers.createBlindedExponent for the shared step. More... 3 months ago
Documented the server-side OCSP stapling contract on TlsServer.getCertificateStatus and the AbstractTlsServer allowCertificateStatus/allowMultiCertStatus predicates, and added a misc example exercising both the status_request and status_request_v2 paths, relates to github #1157. More... 3 months ago
Added release notes for the 1.73 single 64 bit block wrap change and the 1.74 backwards compatible unwrap, relates to github #2079. More... 3 months ago
fixed Robusta naming More... 3 months ago
Declare the javax.mail/javax.activation dependences in the bcmail module descriptor as optional requires under all four module names the artifacts are known by (mail, java.mail, activation, java.activation), compiling the descriptor against the real 1.4.x jars plus empty stub modules for the newer names, relates to github #2389. More... 3 months ago
Test the returned type in the OER getInstance identity guards: UINT32.getInstance and etsi102941 Version.getInstance guarded on UINT8, EtsiTs103097DataEncryptedUnicast.getInstance on its sibling EtsiTs103097DataEncrypted, and OEROptional.getObject had its isInstance arguments transposed, so the first two rejected their own type and the others threw ClassCastException or resolved every optional field reflectively, relates to github #2373. More... 3 months ago
Implement support for OpenPGP External Secret Keys More... 3 months ago
Merge branch 'openpgp-smartcard-decryption' into 'main' More... 3 months ago
Add a contributors entry for the report of the unbounded decompressed size on the high-level OpenPGP message API. More... 3 months ago
Note the scrypt parallelization parameter bound in the release notes. More... 3 months ago
Add an OpenPGPPolicy decompressed-size limit for the high-level OpenPGP message API, unbounded by default. More... 3 months ago
Require an MLS external commit's Remove proposal to name the joiner's own prior leaf, per RFC 9420 sec. 12.2. More... 3 months ago
Close the unterminated <li> elements in docs/releasenotes.html and drop the reporter attributions from the 1.86 entries. More... 3 months ago
Apply name constraints to the target certificate in both PKIXCertPathReviewer copies, per RFC 5280 sec. 6.1.3. More... 3 months ago
Reject a CMS AuthenticatedData whose digestAlgorithm and authAttrs presence disagree, per RFC 5652 sec. 9.1. More... 3 months ago